# Get All Locations Returns all the locations that are available to the bearer token. Requires an API token with the "Locations" or "Reporting" scope. The base rate limit of an organization with one location is 75 requests per 10 minutes. Endpoint: GET /v2/locations Version: v2 Security: BearerAuthApiTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" ## Query parameters: - `page` (integer) - `limit` (integer) ## Response 200 fields (application/json): - `success` (boolean) - `data` (array) - `data._id` (string, required) The Bite ID of the location. - `data.name` (string, required) Name of the location. - `data.shortCode` (string, required) The location's unique 4-letter short code. - `data.urlSlug` (string, required) The location's unique slug that's used in the location's web ordering url. - `data.thirdPartyId` (string) The location's unique ID in a third-party system. Only available if the value is set in Bite Admin. - `data.phoneNumber` (string, required) The location's phone number, formatted as a 10-digit string. - `data.coordinates` (array, required) The location's geo-coordinates (long, lat). - `data.fullAddress` (object, required) The location's full physical address. - `data.fullAddress.line1` (string, required) - `data.fullAddress.line2` (string) - `data.fullAddress.crossStreet` (string) - `data.fullAddress.city` (string, required) - `data.fullAddress.state` (string, required) Two-letter abbreviation for the state or province. - `data.fullAddress.postalCode` (string, required) - `data.fullAddress.country` (string) - `data.url` (string, required) The url for this location's ordering page. - `data.availableDiningOptions` (array, required) A list of enabled dining options with associated opening hours for each one. - `data.availableDiningOptions.fulfillmentMethod` (integer, required) Fulfillment Method: * Web only: * 20 - In-Store Pickup * 21 - Dine In * 22 - Curbside Pickup * 23 - Outpost * 24 - Delivery * Catering only: * 30 - In-Store Pickup * 31 - Dine In * 32 - Curbside Pickup * 33 - Outpost * 34 - Delivery - `data.availableDiningOptions.asapOrdersEnabled` (boolean, required) True if ASAP orders can be placed at this location with this fulfillment method; false otherwise. If this is false, then futureOrdersEnabled has to be true. - `data.availableDiningOptions.futureOrdersEnabled` (boolean, required) True if future orders can be placed at this location with this fulfillment method; false otherwise. If this is false, then asapOrdersEnabled has to be true. - `data.availableDiningOptions.openingHours` (object, required) Opening hours for this dining option, broken down by day of the week. - `data.availableDiningOptions.openingHours.mon` (object) - `data.availableDiningOptions.openingHours.mon.from` (object, required) - `data.availableDiningOptions.openingHours.mon.from.hours` (integer, required) - `data.availableDiningOptions.openingHours.mon.from.minutes` (integer, required) - `data.availableDiningOptions.openingHours.mon.to` (object, required) - `data.availableDiningOptions.openingHours.mon.openingHoursString` (string, required) Human-readable representation of the open hours interval (e.g. "11am to 2:30pm") - `data.availableDiningOptions.openingHours.tue` (object) - `data.availableDiningOptions.openingHours.wed` (object) - `data.availableDiningOptions.openingHours.thu` (object) - `data.availableDiningOptions.openingHours.fri` (object) - `data.availableDiningOptions.openingHours.sat` (object) - `data.availableDiningOptions.openingHours.sun` (object) - `data.siteId` (string, required) Site ID that the location belongs to. - `data.orgId` (string, required) Org ID that the location belongs to. - `data.orgName` (string, required) Name of the org that the location belongs to. - `data.orderChannel` (string, required) Denotes the ordering channel through which orders are placed: * catering - Catering Website * flash - Contactless (QR-code) * kiosk - Kiosk * linebuster - Linebuster * web - Online Ordering Website Enum: "catering", "flash", "kiosk", "linebuster", "web" - `data.state` (integer, required) The State of the location in Bite Admin: * 0 Draft - Location should be closed to customers. Allows for configuring the location. * 1 Live - Location should be open to customers. Does not allow drastic configuration changes. - `data.timezone` (string, required) The timezone of the location. ex: America/New_York ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 429 fields ## Response 500 fields